org.apache.xalan.templates

## Class ElemExtensionDecl

- java.lang.Object
- - org.apache.xml.utils.UnImplNode
  - - org.apache.xalan.templates.ElemTemplateElement
    - - org.apache.xalan.templates.ElemExtensionDecl

- All Implemented Interfaces:
    java.io.Serializable, javax.xml.transform.SourceLocator, XSLTVisitable, PrefixResolver, ExpressionNode, WhitespaceStrippingElementMatcher, org.w3c.dom.Document, org.w3c.dom.Element, org.w3c.dom.Node, org.w3c.dom.NodeList

      public class ElemExtensionDecl
      extends ElemTemplateElement

  Implement the declaration of an extension element
  See Also:
    Serialized Form
  Usage:
    **For internal use only**

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElemExtensionDecl()` Constructor ElemExtensionDecl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compose(StylesheetRoot sroot)` This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
    `java.lang.String` | `getElement(int i)` Get the element at the given index
    `int` | `getElementCount()` Return the count of elements defined for this extension element
    `StringVector` | `getElements()` Get StringVector of elements defined for this extension
    `java.lang.String` | `getFunction(int i)` Get a function at a given index in this extension element
    `int` | `getFunctionCount()` Get count of functions defined in this extension element
    `StringVector` | `getFunctions()` Get the names of functions defined in this extension
    `java.lang.String` | `getPrefix()` Get the prefix for this extension element
    `int` | `getXSLToken()` Get an int constant identifying the type of element.
    `void` | `runtimeInit(TransformerImpl transformer)` This function will be called on top-level elements only, just before the transform begins.
    `void` | `setElements(StringVector v)` Set StringVector of elements for this extension
    `void` | `setFunctions(StringVector v)` Set the names of functions defined in this extension
    `void` | `setPrefix(java.lang.String v)` Set the prefix for this extension element

    - ### Methods inherited from class org.apache.xalan.templates.ElemTemplateElement

      `appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, containsExcludeResultPrefix, endCompose, error, error, execute, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeName, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, recompose, removeChild, replaceChild, replaceChild, resolvePrefixTables, setDOMBackPointer, setEndLocaterInfo, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

    - ### Methods inherited from class org.apache.xml.utils.UnImplNode

      `adoptNode, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getActualEncoding, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getInputEncoding, getNamespaceURI, getNodeValue, getOwnerElement, getSchemaTypeInfo, getSpecified, getStrictErrorChecking, getTextContent, getUserData, getWholeText, getXmlEncoding, getXmlStandalone, getXmlVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, isWhitespaceInElementContent, lookupNamespaceURI, lookupPrefix, normalize, normalizeDocument, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, renameNode, replaceData, replaceWholeText, setActualEncoding, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setDocumentURI, setIdAttribute, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setInputEncoding, setNodeValue, setStrictErrorChecking, setTextContent, setUserData, setValue, setXmlEncoding, setXmlStandalone, setXmlVersion, splitText, substringData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElemExtensionDecl

          public ElemExtensionDecl()

      Constructor ElemExtensionDecl

  - ### Method Detail

    - #### setPrefix

          public void setPrefix(java.lang.String v)

      Set the prefix for this extension element
      Specified by:
        `setPrefix` in interface `org.w3c.dom.Node`
      Overrides:
        `setPrefix` in class `UnImplNode`
      Parameters:
        `v` - Prefix to set for this extension element

    - #### getPrefix

          public java.lang.String getPrefix()

      Get the prefix for this extension element
      Specified by:
        `getPrefix` in interface `org.w3c.dom.Node`
      Overrides:
        `getPrefix` in class `UnImplNode`
      Returns:
        Prefix for this extension element

    - #### setFunctions

          public void setFunctions(StringVector v)

      Set the names of functions defined in this extension
      Parameters:
        `v` - StringVector holding the names of functions defined in this extension

    - #### getFunctions

          public StringVector getFunctions()

      Get the names of functions defined in this extension
      Returns:
        StringVector holding the names of functions defined in this extension

    - #### getFunction

          public java.lang.String getFunction(int i)
                                       throws java.lang.ArrayIndexOutOfBoundsException

      Get a function at a given index in this extension element
      Parameters:
        `i` - Index of function to get
      Returns:
        Name of Function at given index
      Throws:
        `java.lang.ArrayIndexOutOfBoundsException`

    - #### getFunctionCount

          public int getFunctionCount()

      Get count of functions defined in this extension element
      Returns:
        count of functions defined in this extension element

    - #### setElements

          public void setElements(StringVector v)

      Set StringVector of elements for this extension
      Parameters:
        `v` - StringVector of elements to set

    - #### getElements

          public StringVector getElements()

      Get StringVector of elements defined for this extension
      Returns:
        StringVector of elements defined for this extension

    - #### getElement

          public java.lang.String getElement(int i)
                                      throws java.lang.ArrayIndexOutOfBoundsException

      Get the element at the given index
      Parameters:
        `i` - Index of element to get
      Returns:
        The element at the given index
      Throws:
        `java.lang.ArrayIndexOutOfBoundsException`

    - #### getElementCount

          public int getElementCount()

      Return the count of elements defined for this extension element
      Returns:
        the count of elements defined for this extension element

    - #### getXSLToken

          public int getXSLToken()

      Get an int constant identifying the type of element.
      Overrides:
        `getXSLToken` in class `ElemTemplateElement`
      Returns:
        The token ID for this element
      See Also:
        `Constants`

    - #### compose

          public void compose(StylesheetRoot sroot)
                       throws javax.xml.transform.TransformerException

      Description copied from class: `ElemTemplateElement`
      This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
      Overrides:
        `compose` in class `ElemTemplateElement`
      Throws:
        `javax.xml.transform.TransformerException`

    - #### runtimeInit

          public void runtimeInit(TransformerImpl transformer)
                           throws javax.xml.transform.TransformerException

      This function will be called on top-level elements only, just before the transform begins.
      Overrides:
        `runtimeInit` in class `ElemTemplateElement`
      Parameters:
        `transformer` - The XSLT TransformerFactory.
      Throws:
        `javax.xml.transform.TransformerException`

Copyright © 2023 Apache XML Project. All Rights Reserved.